Search for %s
- Search 7.x for %s
- Search 9.5.x for %s
- Search 8.9.x for %s
- Search 11.x for %s
- Search main for %s
- Other projects
| Title | Object type | File name | Summary |
|---|---|---|---|
| JsonApiRequestValidator | class | core/ |
Subscriber that validates the query parameter names on a JSON:API request. |
| JsonApiRequestValidator.php | file | core/ |
|
| JsonApiRequestValidator::getSubscribedEvents | function | core/ |
|
| JsonApiRequestValidator::onRequest | function | core/ |
Validates JSON:API requests. |
| JsonApiRequestValidator::onResponse | function | core/ |
Validates JSON:API requests. |
| JsonApiRequestValidator::validateQueryParams | function | core/ |
Validates custom (implementation-specific) query parameter names. |
| JsonapiServiceProvider | class | core/ |
Adds 'api_json' as known format and prevents its use in the REST module. |
| JsonapiServiceProvider.php | file | core/ |
|
| JsonapiServiceProvider::alter | function | core/ |
Modifies existing service definitions. |
| JsonapiServiceProvider::register | function | core/ |
Registers services to the container. |
| JsonApiSettingsForm | class | core/ |
Configure JSON:API settings for this site. |
| JsonApiSettingsForm.php | file | core/ |
|
| JsonApiSettingsForm::buildForm | function | core/ |
Form constructor. |
| JsonApiSettingsForm::getFormId | function | core/ |
Returns a unique string identifying the form. |
| JsonApiSpec | class | core/ |
Defines constants used for compliance with the JSON:API specification. |
| JsonApiSpec.php | file | core/ |
|
| JsonApiSpec::getReservedQueryParameters | function | core/ |
Gets the reserved (official) JSON:API query parameters. |
| JsonApiSpec::isValidCustomQueryParameter | function | core/ |
Checks whether the given custom query parameter name is valid. |
| JsonApiSpec::isValidMemberName | function | core/ |
Checks whether the given member name is valid. |
| JsonApiSpec::MEMBER_NAME_GLOBALLY_ALLOWED_CHARACTER_CLASS | constant | core/ |
Member name: globally allowed characters. |
| JsonApiSpec::MEMBER_NAME_INNER_ALLOWED_CHARACTERS | constant | core/ |
Member name: allowed characters except as the first or last character. |
| JsonApiSpec::MEMBER_NAME_REGEXP | constant | core/ |
Regular expression to check the validity of a member name. |
| JsonApiSpec::RESERVED_QUERY_PARAMETERS | constant | core/ |
The reserved (official) query parameters. |
| JsonApiSpec::SUPPORTED_SPECIFICATION_PERMALINK | constant | core/ |
The URI of the supported specification document. |
| JsonApiSpec::SUPPORTED_SPECIFICATION_VERSION | constant | core/ |
The minimum supported specification version. |
| JsonApiSpec::VERSION_QUERY_PARAMETER | constant | core/ |
The query parameter for providing a version (revision) value. |
| JsonApiSpecTest | class | core/ |
@coversDefaultClass \Drupal\jsonapi\JsonApiSpec[[api-linebreak]] @group jsonapi |
| JsonApiSpecTest.php | file | core/ |
|
| JsonApiSpecTest::providerTestIsValidCustomQueryParameter | function | core/ |
Data provider for testIsValidCustomQueryParameter. |
| JsonApiSpecTest::providerTestIsValidMemberName | function | core/ |
Data provider for testIsValidMemberName. |
| JsonApiSpecTest::testIsValidCustomQueryParameter | function | core/ |
Provides test cases. |
| JsonApiSpecTest::testIsValidMemberName | function | core/ |
Ensures that member names are properly validated. |
| jsonapi_entity_bundle_create | function | core/ |
Implements hook_entity_bundle_create(). |
| jsonapi_entity_bundle_delete | function | core/ |
Implements hook_entity_bundle_delete(). |
| jsonapi_entity_create | function | core/ |
Implements hook_entity_create(). |
| jsonapi_entity_delete | function | core/ |
Implements hook_entity_delete(). |
| JSONAPI_FILTER_AMONG_ALL | constant | core/ |
Array key for denoting type-based filtering access. |
| JSONAPI_FILTER_AMONG_ENABLED | constant | core/ |
Array key for denoting type-based enabled-only filtering access. |
| JSONAPI_FILTER_AMONG_OWN | constant | core/ |
Array key for denoting type-based owned-only filtering access. |
| JSONAPI_FILTER_AMONG_PUBLISHED | constant | core/ |
Array key for denoting type-based published-only filtering access. |
| jsonapi_help | function | core/ |
Implements hook_help(). |
| jsonapi_install | function | core/ |
Implements hook_install(). |
| jsonapi_jsonapi_block_content_filter_access | function | core/ |
Implements hook_jsonapi_ENTITY_TYPE_filter_access() for 'block_content'. |
| jsonapi_jsonapi_comment_filter_access | function | core/ |
Implements hook_jsonapi_ENTITY_TYPE_filter_access() for 'comment'. |
| jsonapi_jsonapi_entity_filter_access | function | core/ |
Implements hook_jsonapi_entity_filter_access(). |
| jsonapi_jsonapi_entity_test_filter_access | function | core/ |
Implements hook_jsonapi_ENTITY_TYPE_filter_access() for 'entity_test'. |
| jsonapi_jsonapi_file_filter_access | function | core/ |
Implements hook_jsonapi_ENTITY_TYPE_filter_access() for 'file'. |
| jsonapi_jsonapi_media_filter_access | function | core/ |
Implements hook_jsonapi_ENTITY_TYPE_filter_access() for 'media'. |
| jsonapi_jsonapi_node_filter_access | function | core/ |
Implements hook_jsonapi_ENTITY_TYPE_filter_access() for 'node'. |
| jsonapi_jsonapi_shortcut_filter_access | function | core/ |
Implements hook_jsonapi_ENTITY_TYPE_filter_access() for 'shortcut'. |
Pagination
- Previous page
- Page 706
- Next page
Buggy or inaccurate documentation? Please file an issue. Need support? Need help programming? Connect with the Drupal community.